Loading...
Searching...
No Matches
BALL::MMFF94::Default Struct Reference

`#include <BALL/MOLMEC/MMFF94/MMFF94.h>`

## Static Public Attributes

static const char * | FOLDER
static const bool | ASSIGN_CHARGES
static const bool | ASSIGN_TYPENAMES
static const bool | ASSIGN_TYPES
static const bool | OVERWRITE_CHARGES
static const bool | OVERWRITE_TYPENAMES
static const float | NONBONDED_CUTOFF
static const float | VDW_CUTOFF
static const float | VDW_CUTON
static const float | ELECTROSTATIC_CUTOFF
static const float | ELECTROSTATIC_CUTON
static const bool | DISTANCE_DEPENDENT_DIELECTRIC
| Default is false.

## Detailed Description

Default values for MMFF94 options.

Definition at line 116 of file MMFF94.h.

## Member Data Documentation

## ASSIGN_CHARGES

const bool BALL::MMFF94::Default::ASSIGN_CHARGES

static

automatically assign charges to the system (during setup)

Definition at line 124 of file MMFF94.h.

## ASSIGN_TYPENAMES

const bool BALL::MMFF94::Default::ASSIGN_TYPENAMES

static

automatically assign type names to the system (during setup)

Definition at line 128 of file MMFF94.h.

## ASSIGN_TYPES

const bool BALL::MMFF94::Default::ASSIGN_TYPES

static

automatically assign types to the system's atoms (during setup)

Definition at line 132 of file MMFF94.h.

## DISTANCE_DEPENDENT_DIELECTRIC

const bool BALL::MMFF94::Default::DISTANCE_DEPENDENT_DIELECTRIC

static

Default is false.

Definition at line 163 of file MMFF94.h.

## ELECTROSTATIC_CUTOFF

const float BALL::MMFF94::Default::ELECTROSTATIC_CUTOFF

static

Default electrostatic cutoff of 15.0 .

Definition at line 156 of file MMFF94.h.

## ELECTROSTATIC_CUTON

const float BALL::MMFF94::Default::ELECTROSTATIC_CUTON

static

Default electrostatic cuton of 13.0 .

Definition at line 160 of file MMFF94.h.

## FOLDER

const char* BALL::MMFF94::Default::FOLDER

static

Default folder name for parameters (MMFF94)

Definition at line 120 of file MMFF94.h.

## NONBONDED_CUTOFF

const float BALL::MMFF94::Default::NONBONDED_CUTOFF

static

Default non bonded cutoff of 16.0 .

Definition at line 144 of file MMFF94.h.

## OVERWRITE_CHARGES

const bool BALL::MMFF94::Default::OVERWRITE_CHARGES

static

during charge assignment, overwrite even non-zero charges

Definition at line 136 of file MMFF94.h.

## OVERWRITE_TYPENAMES

const bool BALL::MMFF94::Default::OVERWRITE_TYPENAMES

static

during charge assignment, overwrite even non-empty type names

Definition at line 140 of file MMFF94.h.

## VDW_CUTOFF

const float BALL::MMFF94::Default::VDW_CUTOFF

static

Default van der Waals cutoff of 15.0 .

Definition at line 148 of file MMFF94.h.

## VDW_CUTON

const float BALL::MMFF94::Default::VDW_CUTON

static

Default van der Waals cuton of 13.0 .

Definition at line 152 of file MMFF94.h.